// IMPORT FROM PICCOLOX

package netmatch.piccolox;

import edu.umd.cs.piccolo.PCanvas;

import java.awt.Dimension;
import java.awt.Point;
import java.awt.geom.Rectangle2D;

public interface PScrollDirector {
  public abstract void install(PViewport pviewport, PCanvas pcanvas);

  public abstract void unInstall();

  public abstract Point getViewPosition(Rectangle2D rectangle2d);

  public abstract void setViewPosition(double d, double d1);

  public abstract Dimension getViewSize(Rectangle2D rectangle2d);
}